### Method

# Gimp Drawable get_sub_thumbnail

since: 2.2

#### Declaration [src]

    GdkPixbuf*
    gimp_drawable_get_sub_thumbnail (
      GimpDrawable* drawable,
      gint src_x,
      gint src_y,
      gint src_width,
      gint src_height,
      gint dest_width,
      gint dest_height,
      GimpPixbufTransparency alpha
    )

#### Description [src]

Retrieves a thumbnail pixbuf for the drawable identified by `drawable`. The thumbnail will be not larger than the requested size.

Available since: 2.2

#### Parameters

`src_x`

  Type: `gint`

  The x coordinate of the area.

`src_y`

  Type: `gint`

  The y coordinate of the area.

`src_width`

  Type: `gint`

  The width of the area.

`src_height`

  Type: `gint`

  The height of the area.

`dest_width`

  Type: `gint`

  The requested thumbnail width (<= 1024 pixels).

`dest_height`

  Type: `gint`

  The requested thumbnail height (<= 1024 pixels).

`alpha`

  Type: `GimpPixbufTransparency`

  How to handle an alpha channel.

#### Return value

Type: `GdkPixbuf`

A new `GdkPixbuf`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.